[Asterisk-code-review] install prereq: Checkout of libSRTP 2.x. (asterisk[master])

Joshua Colp asteriskteam at digium.com
Mon Nov 6 11:57:58 CST 2017


Joshua Colp has submitted this change and it was merged. ( https://gerrit.asterisk.org/6993 )

Change subject: install_prereq: Checkout of libSRTP 2.x.
......................................................................

install_prereq: Checkout of libSRTP 2.x.

Since Asterisk 13.17, libSRTP 2.x is supported. Therefore, its latest version
is installed again via the script install_prereq.

ASTERISK-27356

Change-Id: I13125839a79052356469e41edacbebff0a937d39
---
M contrib/scripts/install_prereq
1 file changed, 10 insertions(+), 14 deletions(-)

Approvals:
  Joshua Colp: Looks good to me, but someone else must approve; Approved for Submit
  Matthew Fredrickson: Looks good to me, approved



diff --git a/contrib/scripts/install_prereq b/contrib/scripts/install_prereq
index d69f552..c4b91f6 100755
--- a/contrib/scripts/install_prereq
+++ b/contrib/scripts/install_prereq
@@ -165,22 +165,18 @@
 		/sbin/ldconfig
 	fi
 
-	# Only install libsrtp if it wasn't installed via package
+	# Only install libsrtp2 if it wasn't installed via package
 	if ! test -f /usr/include/srtp/srtp.h; then
-		echo "*** Installing libsrtp ***"
-		if [ ! -d libsrtp ]; then
-			git clone https://github.com/cisco/libsrtp.git
-			cd libsrtp
-		else
-			cd libsrtp
-			git pull
+		if ! test -f /usr/include/srtp2/srtp.h; then
+			echo "*** Installing libsrtp2 ***"
+			wget -O - http://github.com/cisco/libsrtp/archive/v2.tar.gz | zcat | tar -xf -
+			cd libsrtp-2
+			./configure --enable-openssl
+			make shared_library uninstall install
+			cd ..
+			echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+			/sbin/ldconfig
 		fi
-		git checkout "1_5_x_throttle"
-		./configure --disable-debug --disable-stdout --enable-openssl
-		make shared_library uninstall install
-		cd ..
-		echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
-		/sbin/ldconfig
 	fi
 
 	# Only install pjproject if it wasn't installed via package

-- 
To view, visit https://gerrit.asterisk.org/6993
To unsubscribe, visit https://gerrit.asterisk.org/settings

Gerrit-Project: asterisk
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: I13125839a79052356469e41edacbebff0a937d39
Gerrit-Change-Number: 6993
Gerrit-PatchSet: 1
Gerrit-Owner: Alexander Traud <pabstraud at compuserve.com>
Gerrit-Reviewer: Alexander Traud <pabstraud at compuserve.com>
Gerrit-Reviewer: Jenkins2
Gerrit-Reviewer: Joshua Colp <jcolp at digium.com>
Gerrit-Reviewer: Matthew Fredrickson <creslin at digium.com>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.digium.com/pipermail/asterisk-code-review/attachments/20171106/55dab6f1/attachment.html>


More information about the asterisk-code-review mailing list